import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

Widget CommonBtn({void Function()? onTap, required String text}) {
  return InkWell(
      onTap: onTap,
      child: Container(
        width: double.infinity,
        height: 50.h,
        decoration: BoxDecoration(
            color: Color(0xff9A0000), borderRadius: BorderRadius.circular(5)),
        child: Center(
          child: Text(
            text,
            textAlign: TextAlign.center,
            style: TextStyle(
              color: Colors.white,
              fontSize: 20.sp,
              fontFamily: 'Cambria',
              fontWeight: FontWeight.w400,
            ),
          ),
        ),
      ));
}

Widget kycBtn({
  void Function()? onTap,
  required String text,
  required Color bgClr,
  required Color borderClr,
}) {
  return InkWell(
    onTap: onTap,
    child: Container(
      width: 191,
      height: 50,
      decoration: ShapeDecoration(
        color: bgClr,
        shape: RoundedRectangleBorder(
          side: BorderSide(
            width: 1,
            color: borderClr,
          ),
          borderRadius: BorderRadius.circular(8),
        ),
      ),
      child: Center(
        child: Text(
          text,
          textAlign: TextAlign.center,
          style: TextStyle(
            color: Colors.white,
            fontSize: 20.sp,
            fontFamily: 'Cambria',
            fontWeight: FontWeight.w400,
          ),
        ),
      ),
    ),
  );
}
